Bug 1107126 - [ovirt] add plugin and fixes from upstream
Summary: [ovirt] add plugin and fixes from upstream
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sos
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Bryn M. Reeves
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-09 19:58 UTC by Bryn M. Reeves
Modified: 2014-06-27 02:21 UTC (History)
2 users (show)

Fixed In Version: sos-3.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-27 02:21:08 UTC


Attachments (Terms of Use)

Description Bryn M. Reeves 2014-06-09 19:58:25 UTC
Description of problem:
The oVirt plugin (previously shipped with the ovirt-log-collector package) is now upstream:

  https://github.com/sosreport/sos/commit/e3dcb7e

Backport the plugin and related fixes to supported Fedora branches.

Version-Release number of selected component (if applicable):
sos-3.0-23, sos-3.1-1

How reproducible:
100%

Steps to Reproduce:
1. rpm -q sos | grep ovirt

Actual results:
""

Expected results:
/usr/lib/python2.*/site-packages/sos/plugins/ovirt.py

Additional info:
Changes from the current rawhide package:
$ git rev-list --oneline 2f7baff1..HEAD sos/plugins/ovirt.py sos/plugins/postgresql.py sos/plugins/__init__.py
fd68a0c Record duration of calls to external programs at debug level
bb3fe91 [ovirt] Add dwh and reports packages to plugin package list
df5ff34 Add reports support to oVirt plugin
fc97d86 Add oVirt Data Warehouse support
a883e5a [ovirt] add package list to ovirt plugin
08bb3d2 [ovirt] elide passwords in logcollector.conf
3da5697 [ovirt] elide passwords in {iso,image}uploader.conf
5447fac Make do_path_regex_sub() honour string regex arguments
f42f767 Fix call_ext_prog() use in oVirt plugin
e3dcb7e Add oVirt plugin
67afdc1 Fix logging exception in Plugin.collect_strings()
38a35dc Add parameter to add_copy_spec_limit() to control tail behavior
241d240 Don't handle exceptions in do_copy_path()
b7b89e5 Fix command parameter aliasing and exception handling
f6bcd6a Fix style and formatting in Plugin class
f1c643d Add default Plugin.setup() method
4064600 Add add_cmd_outputs() and convert plugins to use it
57cacaf Add 'runat' parameter to command output interfaces
e5a530c Logging improvements
af9e704 Clean up sos_get_command_output() and friends
fb64873 Make forbidden path test a separate function
f68a2b1 Fix whitespace in Plugin class
6e8c042 Add Plugin.do_path_regex_sub()
0bedab2 Raise a TypeError if add_copy_specs() is called with a string
81b06ca Use a set for Plugin.copy_paths
a09090a Remove 'sub' parameter from Plugin.add_copy_spec*()

Comment 2 Bryn M. Reeves 2014-06-17 14:43:07 UTC
Also wants this one-liner fixup from today:

  https://github.com/sosreport/sos/commit/5956d7f

commit 5956d7fb1c6f3de880c93f400c0497da651a9469
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Tue Jun 17 17:18:41 2014 +0100

    [ovirt] add ovirt-scheduler-proxy logs
    
    Signed-off-by: Bryn M. Reeves <bmr@redhat.com>

Comment 3 Fedora Update System 2014-06-17 23:11:03 UTC
sos-3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sos-3.1-1.fc20

Comment 4 Fedora Update System 2014-06-18 22:22:29 UTC
Package sos-3.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sos-3.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7479/sos-3.1-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-06-27 02:21:08 UTC
sos-3.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.